EulerOS 2.0 SP2 : ipsilon (EulerOS-SA-2018-1013)

Medium Nessus Plugin ID 106154

Synopsis

The remote EulerOS host is missing a security update.

Description

According to the version of the ipsilon packages installed, the EulerOS installation on the remote host is affected by the following vulnerability :

- A vulnerability was found in ipsilon in the SAML2 provider's handling of sessions. An attacker able to hit the logout URL could determine what service providers other users are logged in to and terminate their sessions.(CVE-2016-8638)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected ipsilon package.

See Also

http://www.nessus.org/u?832e5af6

Plugin Details

Severity: Medium

ID: 106154

File Name: EulerOS_SA-2018-1013.nasl

Version: 3.8

Type: local

Published: 2018/01/19

Modified: 2018/11/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.4

Temporal Score: 4.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 9.1

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:ipsilon, p-cpe:/a:huawei:euleros:ipsilon-authform, p-cpe:/a:huawei:euleros:ipsilon-authgssapi, p-cpe:/a:huawei:euleros:ipsilon-authldap, p-cpe:/a:huawei:euleros:ipsilon-base, p-cpe:/a:huawei:euleros:ipsilon-client, p-cpe:/a:huawei:euleros:ipsilon-filesystem, p-cpe:/a:huawei:euleros:ipsilon-infosssd, p-cpe:/a:huawei:euleros:ipsilon-persona, p-cpe:/a:huawei:euleros:ipsilon-saml2, p-cpe:/a:huawei:euleros:ipsilon-saml2-base, p-cpe:/a:huawei:euleros:ipsilon-tools-ipa, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Patch Publication Date: 2018/01/11

Reference Information

CVE: CVE-2016-8638